Bug 486528 - Review Request: perl-HTML-Lint - Perl HTML parser and checker
Review Request: perl-HTML-Lint - Perl HTML parser and checker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: perl-HTML-Lint (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 01:22 EST by Ralf Corsepius
Modified: 2010-06-26 17:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.06-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-02-20 01:22:09 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-HTML-Lint.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-HTML-Lint-2.06-1.fc11.src.rpm
Description: 
HTML::Lint Perl module, a pure-Perl HTML parser and checker for syntactic
legitmacy.
Comment 1 Parag AN(पराग) 2009-02-20 02:51:36 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1141721
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
60bd27c6ff0bb291a9fead0cd474b75f  HTML-Lint-2.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=28, Tests=190,  3 wallclock secs ( 0.13 usr  0.02 sys +  2.12 cusr  0.10 csys =  2.37 CPU)
+ Package perl-HTML-Lint-2.06-1.fc11 =>
Provides: perl(HTML::Lint) = 2.06 perl(HTML::Lint::Error) perl(HTML::Lint::HTML4) perl(HTML::Lint::Parser) perl(Test::HTML::Lint) = 2.06 weblint = 2.06-1.fc11

Requires: /usr/bin/perl perl(Exporter) perl(Getopt::Long) perl(HTML::Entities) perl(HTML::Lint) perl(HTML::Lint) >= 2.06 perl(HTML::Lint::Error) perl(HTML::Lint::HTML4) perl(HTML::Parser) >= 3.20 perl(HTML::Tagset) >= 3.03 perl(Test::Builder) perl(base) perl(constant) perl(strict) perl(vars) perl(warnings)

Suggestions:
1) Not sure whether you like to document virtual provides of weblint here ->http://fedoraproject.org/wiki/VilleSkytt%C3%A4/VirtualProvides 

2) Filter out duplicate requires
perl(HTML::Lint)  
perl(HTML::Lint) >= 2.06

APPROVED.
Comment 2 Ralf Corsepius 2009-02-20 04:01:41 EST
New Package CVS Request
=======================
Package Name: perl-HTML-Lint
Short Description: Perl HTML parser and checker
Owners: corsepiu
Branches: F-10 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-20 15:23:30 EST
cvs done.
Comment 4 Fedora Update System 2009-02-24 15:48:20 EST
perl-HTML-Lint-2.06-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Paul Howarth 2009-04-15 06:57:36 EDT
*** Bug 495684 has been marked as a duplicate of this bug. ***
Comment 6 Mark Chappell 2010-06-24 07:51:17 EDT
Package Change Request
======================
Package Name: perl-Archive-Any
New Branches: EL-6
Owners: tremble    

corsepiu listed as not interested in EPEL
Comment 7 Mark Chappell 2010-06-24 07:52:22 EDT
Package Change Request
======================
Package Name: perl-HTML-Lint
New Branches: EL-6
Owners: tremble    

(Sorry about the previous line too much copy and paste while trying to work through dep trees.)
Comment 8 Jason Tibbitts 2010-06-26 17:18:10 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.